# Uses of Interface
org.eclipse.net4j.ITransportConfig

Packages that use ITransportConfig
Package
Description
org.eclipse.net4j
The Net4j transport layer.
org.eclipse.spi.net4j
Server service provider interfaces and useful base implementations for the Net4j transport layer.

## Uses of ITransportConfig in org.eclipse.net4j

Methods in org.eclipse.net4j that return ITransportConfig
Modifier and Type
Method
Description
`static ITransportConfig`
Net4jUtil.`copyTransportConfig(org.eclipse.net4j.util.lifecycle.ILifecycle lifecycle, ITransportConfig source)`
`ITransportConfig`
ITransportConfigAware.`getConfig()`
Returns the current transport configuration if there is one, a new empty one otherwise.
Methods in org.eclipse.net4j with parameters of type ITransportConfig
Modifier and Type
Method
Description
`static ITransportConfig`
Net4jUtil.`copyTransportConfig(org.eclipse.net4j.util.lifecycle.ILifecycle lifecycle, ITransportConfig source)`
`void`
ITransportConfigAware.`setConfig(ITransportConfig config)`
Sets a new transport configuration by copying the given one.

## Uses of ITransportConfig in org.eclipse.spi.net4j

Methods in org.eclipse.spi.net4j that return ITransportConfig
Modifier and Type
Method
Description
`ITransportConfig`
Acceptor.`getConfig()`
`ITransportConfig`
ChannelMultiplexer.`getConfig()`
Methods in org.eclipse.spi.net4j with parameters of type ITransportConfig
Modifier and Type
Method
Description
`void`
Acceptor.`setConfig(ITransportConfig config)`
`void`
ChannelMultiplexer.`setConfig(ITransportConfig config)`